Introduction

Altap Salamander: Plugins: Split & Combine: Introduction

Getting Started with Split & Combine Plugin

Split & Combine plugin allows you to easily divide large file to as many parts as you need or to parts with specified maximal size (e.g. for transfer on removable media - CD/DVD/floppies). Later you can join all parts back to original file and check the resulting file for transfer errors (using CRC checksum). It can be done using this plugin or using simple batch file (special .bat file is prepared when splitting file; you cannot test CRC checksum using batch file).

See Menu Extension section in Using Plugins for a description of basic work with menu extension.

© 2001-2019 ALTAP. All rights reserved.


Splitting File to Parts

You can split file to as many parts as you need or to parts with specified maximal size (e.g. for transfer on removable media - CD/DVD/floppies).

To split file to parts:

  1. Focus the file you want to split.
  2. Open the Split dialog box:
    Menu: Plugins/Split & Combine/Split File...
  3. Specify the maximal size of one part of splitted file in the Size of each part combo box. Or enter the requested number of parts of splitted file in the Number of parts edit box.
  4. Choose the OK button.

See Also

Split dialog box

© 2001-2019 ALTAP. All rights reserved.


Combining Parts of File

You can combine all parts to get the original file and then you can check the resulting file for transfer errors (using CRC checksum).

To combine parts of file:

  1. If you have batch file for combining, unselect all items and focus any part of splitted file or batch file. If not, select the files you want to combine.
  2. Open the Combine dialog box:
    Menu: Plugins/Slit & Combine/Combine Files...
  3. Check the order of parts in list. You can change this order or add/remove some parts.
  4. Check the resulting filename.
  5. Choose the OK button. If CRC checksum of original file is available (if you have the batch file for combining), the resulting file is checked for transfer errors automatically.

See Also

Combine dialog box

© 2001-2019 ALTAP. All rights reserved.


Split & Combine Configuration dialog box

Altap Salamander: Plugins: Split & Combine: Dialog Boxes

Split & Combine Configuration

You can customize Split & Combine plugin in this dialog. See Configuring Plugins for general information about configuration.

Options

Include original extension to output filenames
Results of splitting are files with sequence number in extension. You can choose here if this extension is just added or if it replaces the original extension.
Create batch file for combining
When checked, this plugin creates .bat file for combining parts to original file even without use of this plugin. Moreover some additional data is added to this .bat file: original filename, CRC checksum, and filetime. It's recommended to select this option because original file CRC checksum enables you to test combined file for transfer errors.
Split to other panel
When checked, split results are placed to other panel path (instead of current directory).
Split to subdirectory named by source file
When checked, split results are placed to a subdirectory with the same name as original file.
Combine to other panel
When checked, combined file is placed to other panel path (instead of current directory).


Split dialog box

Altap Salamander: Plugins: Split & Combine: Dialog Boxes

Split

Use this dialog box to split file to parts.

Options

Split to
Specify here the directory where you want to place splitted parts of file to. See Split & Combine Configuration for options related to generating of path to this directory.
Size of each part
Specify the maximal size of one part of splitted file. You can choose some predefined value from following combo box or you can enter own number and specify size unit (B, KB, MB, etc). Size of the last part is displayed.
Number of parts
Enter here the requested number of parts of splitted file.
Configure
Opens Split & Combine Configuration. You can select more options for splitting here.

See Also

Splitting File to Parts

© 2001-2019 ALTAP. All rights reserved.


Combine dialog box

Altap Salamander: Plugins: Split & Combine: Dialog Boxes

Combine

Use this dialog box to combine all parts back to the original file and check the resulting file for transfer errors (using CRC checksum).

Options

Partial files, Up, Down, Add, and Remove
Contains all parts of original file. You can order these parts, use Up and Down buttons. You can also add and remove these parts, use Add and Remove buttons. Parts are joined to original file in the same order as they are displayed in this list.
CRC
Calculates CRC checksum of joined parts and checks it with the original file CRC (if available - it's stored in generated .bat file). Use this to find out if you have properly ordered parts of original file. This CRC test is made always when combining parts to original file (after you choose the OK button), so you need not to test it using this button explicitly.
Combine to
Specifies a filename of the resulting file. See Split & Combine Configuration for options related to generating of this filename.

See Also

Combining Parts of File

© 2001-2019 ALTAP. All rights reserved.